<app-header></app-header>
<div id="wrapper">
  <div id="mainProductDiv">
    <div id="pagination">
      <select id="limitSelect" (change)="limitChange()">
        <option value="2">2</option>
        <option value="5">5</option>
        <option value="10">10</option>
        <option value="15">15</option>
      </select>
      <button *ngIf="previousPage" (click)="goToPrevious()">{{page-1}}</button>
      <button id="selectedPageBtn"><b>{{page}}</b></button>
      <button *ngIf="nextPage" (click)="goToNext()">{{page+1}}</button>
    </div>
    <div id="product" *ngFor="let product of products">
      <div>
        <span *ngIf="product.published" class="green-dot"></span>
        <span *ngIf="!product.published" class="red-dot"></span>
      </div>
      <div id="titleDiv">
        <h3>{{product.title}}</h3>
      </div>
      <div id="descDiv">
        <h4>{{product.desc}}</h4>
      </div>
      <div *ngFor="let image of product.images; let firstItem = first;" id="imageDiv">
        <p *ngIf="firstItem"><img src="{{baseUrl}}{{image.url}}"></p>
      </div>
      <button id="deleteProduct" (click)="deleteProduct(product._id)">X</button>
      <button (click)="navigate(product._id)" id="moreButton">See more</button>
    </div>

  </div>

  <div id="addProductDiv">
    <h2>Add product</h2>
    <form [formGroup]="form" (ngSubmit)="addProduct()">
      <div id="fileInfoDiv">
        <div id="textInputDiv">
          <label for="productTypeArea">Type: </label>
          <select id="productTypeArea" formControlName="Type">
            <option value="1">PVC</option>
            <option value="2">ALU</option>
          </select><br><br>
          <input type="text" placeholder="Title" formControlName="Title"><br><br>
          <input type="text" placeholder="Brand" formControlName="Brand"><br><br>
          <input type="text" placeholder="Code" formControlName="Code"><br><br>
        </div>
        <input type="file" accept="image/x-png,image/jpeg" (change)="onFileSelect($event)" multiple><br><br>
        <div id="textareaDiv">
          <textarea maxlength="250" id="descInput" type="text" style="resize: none;" placeholder="Description"
            formControlName="Description"></textarea><br>
        </div>
        <div id="infoAndTable">

        </div>
        <div id="addButtonsDiv">
          <button type="button" id="addSelectButton" (click)="addInfo()">Add info</button>
          <button type="button" id="addTableButton" (click)="addTable()">Add table</button><br><br>
        </div>
        <div id="publishedDiv">
          <label for="published">Published: </label>
          <select name="published" formControlName="Published">
            <option value="true">True</option>
            <option value="false">False</option>
          </select>
        </div><br>
        <div id="addButtonDiv">
          <button type="submit">Add</button>
        </div>
        <p>{{badRequest}}</p>
      </div>
    </form>
  </div>
</div>
